/*
 * Filesystem using Amazon S3
 * Author: Avinash Kulkarni
 * NetID: ak678
 * Original shell program credits: Tudor Marian
 */

#include <time.h>
#include <sys/stat.h>


typedef struct _statInfo
{
  int     st_ino;     /* inode number */
  mode_t    st_mode;    /* protection */
  int     st_size;    /* total size, in bytes */
  time_t  atime;
  time_t  ctime;
  time_t  mtime;
  dev_t   rdev;
}statInfo;

typedef struct _inode
{
  statInfo stat; 
  int numFiles;
}inode;

typedef struct _fileEnt
{
  int ino_num;
  char fileName[32];
}fileEnt;

typedef struct _superblock
{
  int ino_num_used;
  int numFiles;
}superblock;


